Wait for a video to change
wait_for_video, in Reads: Any connection or key may call these.
POST
Wait up to timeoutSeconds (at most 50) for anything on a video to change after since (the last cursor), with progress messages meanwhile; answers as get_video does, with what changed. Call it again with the new cursor to keep waiting.
apiKeyheader
AuthorizationBearer <token>An API key (prb_…) from Settings → Connections.
application/json- body
videoId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidline?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidsince*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timetimeoutSeconds?integerRange
1 <= value <= 50Default
50The tool's answer.
application/json- response
id*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidname*stringspaceId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidbrief*run*|nullmessages*array<>deliveries*array<>cursor*stringcurl -X POST 'https://studio.probably.co/api/v1/tools/wait_for_video' \ -H "Authorization: Bearer $PROBABLY_API_KEY" \ -H 'Content-Type: application/json' \ -d '{ "videoId": "3524e86f-1bba-489a-bf6b-386ea1abbac0", "since": "2019-08-24T14:15:22Z"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "spaceId": "a330a273-e64a-4183-aedb-f3152797a9a5", "brief": { "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "text": "string", "objective": "reach" }, "run": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "steps": [ { "stage": "string", "status": "pending" } ], "activity": [ { "title": "string", "status": "working", "details": [ "string" ], "startedAt": "string", "finishedAt": "string" } ], "pause": { "kind": "credits", "message": "string" }, "charges": { "priceCredits": 0, "chargedCredits": 0, "lines": [ { "line": "script", "credits": 0 } ], "rounds": [ { "line": "script", "credits": 0, "stage": "string" } ] }, "slot": { "reason": "organization", "place": 1 }, "waitingOnYou": [ { "kind": "delivery-approval", "message": "string", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7" } ] }, "messages": [ { "id": "string", "role": "system", "text": "string", "final": true, "changedAt": "string" } ], "deliveries": [ { "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7", "format": "string", "deliveredAt": "string" } ], "cursor": "string"}